Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class RectManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.LengthManager
                  org.apache.batik.css.engine.value.RectManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  ClipManager

    public abstract class RectManager

extends LengthManager

This class provides a manager for the property with support for rect values.

Field Summary
`protected int` | `orientation` The current orientation.

Fields inherited from class org.apache.batik.css.engine.value.LengthManager
`BOTH_ORIENTATION, HORIZONTAL_ORIENTATION, VERTICAL_ORIENTATION`

Constructor Summary
`RectManager()`

Method Summary
`Value` | `computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` | `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`protected int` | `getOrientation()` Indicates the orientation of the property associated with this manager.

Methods inherited from class org.apache.batik.css.engine.value.LengthManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`getDefaultValue, getPropertyName, getPropertyType, isAdditiveProperty, isAnimatableProperty, isInheritedProperty`

Field Detail

### orientation

    protected int orientation

  The current orientation.

Constructor Detail

### RectManager

    public RectManager()

Method Detail

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `LengthManager`
  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `LengthManager`
  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

### getOrientation

    protected int getOrientation()

  Indicates the orientation of the property associated with this manager.

  Specified by:
    `getOrientation` in class `LengthManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.